Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.ui
Class UnauthorizedCommandException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.faces.FacesException
                      org.jboss.seam.ui.UnauthorizedCommandException

All Implemented Interfaces:
  Serializable

    public class UnauthorizedCommandException

extends javax.faces.FacesException

An exception is thrown when the authenticity of a JSF command (i.e., form post) that relies on a UIToken cannot be verified.

Author:
  Dan Allen
See Also:
  Serialized Form

Constructor Summary
`UnauthorizedCommandException()` Construct a new exception with no detail message or root cause.
`UnauthorizedCommandException(String viewId, String message)` Construct a new exception with a detail message and the view ID

Method Summary
`String` | `getMessage()` Returns the detail message explaining the reason for the denial.
`String` | `getViewId()` Returns the view ID to which the authorized command was directed.

Methods inherited from class javax.faces.FacesException
`getCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnauthorizedCommandException

    public UnauthorizedCommandException()

  Construct a new exception with no detail message or root cause.

### UnauthorizedCommandException

    public UnauthorizedCommandException(String viewId,
                                        String message)

  Construct a new exception with a detail message and the view ID

Method Detail

### getViewId

    public String getViewId()

  Returns the view ID to which the authorized command was directed.

### getMessage

    public String getMessage()

  Returns the detail message explaining the reason for the denial. Includes the view ID if specified.

  Overrides:
    `getMessage` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.